package com.cultural.heritage.model.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品类别
 * @TableName category
 */
@Data
@TableName("category")
public class Category implements Serializable {


    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 类别名称
     */
    private String typeName;


    /**
     * 类别图片
     */
    private String typeUrl;



    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;


    @Serial
    private static final long serialVersionUID = 1L;
}
