package com.cultural.heritage.model.vo.photoProducts;

import com.cultural.heritage.model.vo.bookingDate.BookingDateVO;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class PhotoProductsVO implements Serializable {


    /**
     * 产品id
     */
    private Long id;


    /**
     * 产品名称
     */
    private String name;


    /**
     * 介绍图片
     */
    private String introImg;


    /**
     * 产品详情（富文本）
     */
    private String richText;


    /**
     * 最小预约人数
     */
    private Integer minNumber;


    /**
     * 最大预约人数
     */
    private Integer maxNumber;


    /**
     * 拍摄场景
     */
    private String shotScene;


    /**
     * 产品价格
     */
    private BigDecimal price;


    /**
     * 写真类别名称
     */
    private String categoryName;


    /**
     * 是否上架
     */
    private Integer isShelves;


    /**
     * 未来的预约情况
     */
    private List<BookingDateVO> bookingDateVOList;


    @Serial
    private static final long serialVersionUID = 1L;
}
